Skip to main content
POST
Apply Command Editor Draft Route

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

draft_id
string
required
command_id
string<uuid>
required

Command ID

Query Parameters

organization_id
string
required

Response

Successful Response

Persisted state for one command editor chat thread.

draft_id
string
required
organization_id
string
required
command_id
string
required
base_command
CommandEditorSnapshot · object
required

Command fields captured for diffing and stale-version checks.

schema_version
string
default:v1
status
enum<string>
default:draft
Available options:
draft,
applied
messages
Messages · object[]
proposed_command
CommandEditorSnapshot · object | null

Command fields captured for diffing and stale-version checks.

change_summary
string | null
diff_message_index
integer | null
diff_history
CommandEditorDiffSnapshot · object[]
warnings
string[]
approvable
boolean
default:false
created_at
string<date-time>
updated_at
string<date-time>
applied_at
string<date-time> | null